javax.jws

## Annotation Type WebParam

    @Retention(value=RUNTIME)
    @Target(value=PARAMETER)
    public @interface WebParam

Customizes the mapping of an individual parameter to a Web Service message part and XML element.

### Optional Element Summary

Optional Elements
`boolean` `header` If true, the parameter is pulled from a message header rather then the message body.
`WebParam.Mode` `mode` The direction in which the parameter is flowing (One of IN, OUT, or INOUT).
`String` `name` Name of the parameter.
`String` `partName` The name of the wsdl:part representing this parameter.
`String` `targetNamespace` The XML namespace for the parameter.

### Element Detail

#### name

    public abstract String name

Name of the parameter.

If the operation is rpc style and @WebParam.partName has not been specified, this is name of the wsdl:part representing the parameter.
If the operation is document style or the parameter maps to a header, this is the local name of the XML element representing the parameter.

A name MUST be specified if the operation is document style, the parameter style is BARE, and the mode is OUT or INOUT.

Default:
  ""

#### partName

    public abstract String partName

The name of the wsdl:part representing this parameter.

This is only used if the operation is rpc style or if the operation is document style and the parameter style is BARE.

Since:
  2.0

Default:
  ""

#### targetNamespace

    public abstract String targetNamespace

The XML namespace for the parameter.

Only used if the operation is document style or the paramater maps to a header. If the target namespace is set to "", this represents the empty namespace.

Default:
  ""

#### mode

    public abstract WebParam.Mode mode

The direction in which the parameter is flowing (One of IN, OUT, or INOUT).

The OUT and INOUT modes may only be specified for parameter types that conform to the definition of Holder types (JAX-WS 2.0 [5], section 2.3.3). Parameters that are Holder Types MUST be OUT or INOUT.

Default:
  javax.jws.WebParam.Mode.IN

#### header

    public abstract boolean header

If true, the parameter is pulled from a message header rather then the message body.

Default:
  false

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.